package com.zcloud.service.safetyInvestment.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.safetyInvestment.SafetyInvestmentPlanMapper;
import com.zcloud.service.safetyInvestment.SafetyInvestmentPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：安全投入计划
 * 作者：luoxiaobao
 * 时间：2022-05-13
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SafetyInvestmentPlanServiceImpl implements SafetyInvestmentPlanService{

	@Autowired
	private SafetyInvestmentPlanMapper safetyinvestmentplanMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		safetyinvestmentplanMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		safetyinvestmentplanMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		safetyinvestmentplanMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return safetyinvestmentplanMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return safetyinvestmentplanMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return safetyinvestmentplanMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		safetyinvestmentplanMapper.deleteAll(ArrayDATA_IDS);
	}

	public void editStatus(PageData pd)throws Exception{
		safetyinvestmentplanMapper.editStatus(pd);
	}
}

